Debian Bug report logs - #560721
ITP: spice -- A SPICE (Simple Protocol for Independent Computing Environment) Client

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Liang Guo <bluestonechina@gmail.com>

Date: Fri, 11 Dec 2009 17:06:01 UTC

Owned by: Liang Guo <bluestonechina@gmail.com>

Severity: wishlist

Merged with 602143

Fixed in version spice/0.8.2-1

Done: Liang Guo <bluestonechina@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#560721; Package spice. (Fri, 11 Dec 2009 17:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Fri, 11 Dec 2009 17:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: spice -- A SPICE (Simple Protocol for Independent Computing Environment) Client
Date: Sat, 12 Dec 2009 01:04:56 +0800
[Message part 1 (text/plain, inline)]
Package: spice
Severine: wishlist
Owner: Liang Guo <bluestonechina@gmail.com>

* Package name     :spice
* Version          :  0.4
* Upstream Author  : Tim Lauridsen
* URL              : http://www.spice-space.org/
* License          :   GPL
* Programming Lang : C/C++
* Description      : spice is a SPICE protocal client, that
can be used to connect to a spice server. 

Regards,
Liang Guo
http://bluestone.cublog.cn
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'spice' to 'wnpp'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 11 Dec 2009 17:45:04 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Mon, 15 Mar 2010 00:15:55 GMT) Full text and rfc822 format available.

Forcibly Merged 560721 602143. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Tue, 02 Nov 2010 01:45:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>:
Bug#560721; Package wnpp. (Tue, 02 Nov 2010 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc-André Lureau <marcandre.lureau@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>. (Tue, 02 Nov 2010 11:57:03 GMT) Full text and rfc822 format available.

Message #16 received at 560721@bugs.debian.org (full text, mbox):

From: Marc-André Lureau <marcandre.lureau@gmail.com>
To: Liang Guo <bluestonechina@gmail.com>
Cc: 602143@bugs.debian.org, 560721@bugs.debian.org
Subject: Re: Bug#602143: ITP: spice -- a remote display system for virtualized machine and desktop
Date: Tue, 2 Nov 2010 12:53:32 +0100
Hi

On Tue, Nov 2, 2010 at 2:00 AM, Liang Guo <bluestonechina@gmail.com> wrote:
> Hi, Marc-André Lureau,
>
> I've worked on this package, but libspice depends on 0.5.1 version of
> celt, do you have any plan to port libspice to celt 0.7.1 ?
>

Oh sorry, I don't know I missed you ITP.
I am looking at the celt issue, we will either have to patch SPICE
(what I am trying now) or just package celt051, like fedora is doing.

thanks for merging my request with yours.

Did you put your initial packaging work on some repository?

regards

-- 
Marc-André Lureau




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#560721; Package wnpp. (Tue, 02 Nov 2010 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 02 Nov 2010 12:18:03 GMT) Full text and rfc822 format available.

Message #21 received at 560721@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: Marc-André Lureau <marcandre.lureau@gmail.com>
Cc: 602143@bugs.debian.org, 560721@bugs.debian.org, Ron <ron@debian.org>
Subject: Re: Bug#602143: ITP: spice -- a remote display system for virtualized machine and desktop
Date: Tue, 2 Nov 2010 20:15:42 +0800
On Tue, Nov 2, 2010 at 7:53 PM, Marc-André Lureau
<marcandre.lureau@gmail.com> wrote:
> Hi
> Oh sorry, I don't know I missed you ITP.
> I am looking at the celt issue, we will either have to patch SPICE
> (what I am trying now) or just package celt051, like fedora is doing.
>
Great, if SPICE can be ported to the latest celt, we need not keep two
different version of celt in debian. Ron, the maintainer of celt in
Debian, prefer this methord.

> thanks for merging my request with yours.
>
> Did you put your initial packaging work on some repository?
I've uploaded spice 0.4 to git.debian.org, but it is up-to-date, do
you have a alioth account, we can co-maintain it in alioth.

Thanks and Reguards,
-- 
Liang Guo
http://bluestone.cublog.cn




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>:
Bug#560721; Package wnpp. (Tue, 02 Nov 2010 13:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>. (Tue, 02 Nov 2010 13:00:03 GMT) Full text and rfc822 format available.

Message #26 received at 560721@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Liang Guo <bluestonechina@gmail.com>
Cc: Marc-André Lureau <marcandre.lureau@gmail.com>, 602143@bugs.debian.org, 560721@bugs.debian.org
Subject: Re: Bug#602143: ITP: spice -- a remote display system for virtualized machine and desktop
Date: Tue, 2 Nov 2010 23:16:39 +1030
On Tue, Nov 02, 2010 at 08:15:42PM +0800, Liang Guo wrote:
> On Tue, Nov 2, 2010 at 7:53 PM, Marc-André Lureau
> <marcandre.lureau@gmail.com> wrote:
> > Hi
> > Oh sorry, I don't know I missed you ITP.
> > I am looking at the celt issue, we will either have to patch SPICE
> > (what I am trying now) or just package celt051, like fedora is doing.
> >
> Great, if SPICE can be ported to the latest celt, we need not keep two
> different version of celt in debian. Ron, the maintainer of celt in
> Debian, prefer this methord.

Indeed, since we'll be targeting a debian release that is some 2 years
away from the present, it is quite likely that celt will in fact be
bitstream frozen by then too (or replaced by a derivative that is).

Adjusting to the newer API should be trivial, the main catch is the
bitstream compatibility.  I don't think we should be looking at
packaging celt 0.5 retroactively though, we should be looking ahead.

Cheers,
Ron






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>:
Bug#560721; Package wnpp. (Thu, 04 Nov 2010 15:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc-André Lureau <marcandre.lureau@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>. (Thu, 04 Nov 2010 15:15:10 GMT) Full text and rfc822 format available.

Message #31 received at 560721@bugs.debian.org (full text, mbox):

From: Marc-André Lureau <marcandre.lureau@gmail.com>
To: Ron <ron@debian.org>
Cc: Liang Guo <bluestonechina@gmail.com>, 602143@bugs.debian.org, 560721@bugs.debian.org
Subject: Re: Bug#602143: ITP: spice -- a remote display system for virtualized machine and desktop
Date: Thu, 4 Nov 2010 16:10:03 +0100
Hi

On Tue, Nov 2, 2010 at 1:46 PM, Ron <ron@debian.org> wrote:
> On Tue, Nov 02, 2010 at 08:15:42PM +0800, Liang Guo wrote:
>> Great, if SPICE can be ported to the latest celt, we need not keep two
>> different version of celt in debian. Ron, the maintainer of celt in
>> Debian, prefer this methord.
>
> Indeed, since we'll be targeting a debian release that is some 2 years
> away from the present, it is quite likely that celt will in fact be
> bitstream frozen by then too (or replaced by a derivative that is).
>
> Adjusting to the newer API should be trivial, the main catch is the
> bitstream compatibility.  I don't think we should be looking at
> packaging celt 0.5 retroactively though, we should be looking ahead.
>

You can find a untested patch I wrote to support celt latest in
addition to celt 0.5 here:
http://gitorious.org/spice/elmarco-spice/commit/e310493a3e5a28f4b41dbc13cfaad7f982bca651

However, this patch is not suitable for upstream, because it obviously
breaks compatibility between various version of client/server.

Imho, we should consider celt 0.5 as being the current "frozen"
bitstream (there has been already maintenance release of this
version). We need to package it for Debian instead of pushing for an
unstable version of celt in spice.

regards,

-- 
Marc-André Lureau




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>:
Bug#560721; Package wnpp. (Fri, 05 Nov 2010 16:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>. (Fri, 05 Nov 2010 16:00:03 GMT) Full text and rfc822 format available.

Message #36 received at 560721@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Marc-André Lureau <marcandre.lureau@gmail.com>
Cc: Liang Guo <bluestonechina@gmail.com>, 602143@bugs.debian.org, 560721@bugs.debian.org
Subject: Re: Bug#602143: ITP: spice -- a remote display system for virtualized machine and desktop
Date: Sat, 6 Nov 2010 02:20:46 +1030
Hi Marc-André,

On Thu, Nov 04, 2010 at 04:10:03PM +0100, Marc-André Lureau wrote:
> Hi
> 
> On Tue, Nov 2, 2010 at 1:46 PM, Ron <ron@debian.org> wrote:
> > On Tue, Nov 02, 2010 at 08:15:42PM +0800, Liang Guo wrote:
> >> Great, if SPICE can be ported to the latest celt, we need not keep two
> >> different version of celt in debian. Ron, the maintainer of celt in
> >> Debian, prefer this methord.
> >
> > Indeed, since we'll be targeting a debian release that is some 2 years
> > away from the present, it is quite likely that celt will in fact be
> > bitstream frozen by then too (or replaced by a derivative that is).
> >
> > Adjusting to the newer API should be trivial, the main catch is the
> > bitstream compatibility.  I don't think we should be looking at
> > packaging celt 0.5 retroactively though, we should be looking ahead.
> >
> 
> You can find a untested patch I wrote to support celt latest in
> addition to celt 0.5 here:
> http://gitorious.org/spice/elmarco-spice/commit/e310493a3e5a28f4b41dbc13cfaad7f982bca651
> 
> However, this patch is not suitable for upstream, because it obviously
> breaks compatibility between various version of client/server.

Well I wouldn't say "unsuitable" for upstream, but indeed it only solves
a part of the problem which they need to address still.  CELT is an
experimental codec, so the bitstream is still in flux, and this was known
when a snapshot was picked by spice.  It's time to activate the contingency
plan that was created for exactly this situation when they made that choice.

They did think this through already, right?

Somebody just needs to implement the content negotiation, or whatever they
have decided for it.  It was a redhat project, so they did what worked for
them to get a trial version out.  If people are going to pick this up for
other distros now, that's one of the things they'll need to get right.
celt-0.5 is dead.  Someone just needs to tell spice that.  With flowers
and stuff.  And then we can all move on.


> Imho, we should consider celt 0.5 as being the current "frozen" bitstream

Except unfortunately, your ho was out of the loop when this decision was
made, and you're late :(  We already had this discussion, between the
interested maintainers of packages and upstream celt folk.  It seemed
important to know the answer to that _before_ squeeze froze.

And so we consider 0.7.1 to be the "current" stable snapshot bitstream,
and that's the one we hope people will settle on for a while.  We made
sure this went out with ubuntu, it's what we stopped at for squeeze,
and it's what we're encouraging everyone else to play along with until
the next one (which might hopefully be the last, but might not be 'celt'
anymore per se).  We even have some coordination on this with other
legacy OS vendors I believe.


> (there has been already maintenance release of this version).

There were a couple of small brown-paper-bag tweaks in the first month
after that snapshot was made.  It's not maintained by the upstream celt
author, responsibility for it rests with redhat.  It hasn't been touched
since early May 2009 ...

> We need to package it for Debian instead of pushing for an
> unstable version of celt in spice.

Spice already has an unstable version of celt.  They knew that when they
picked it.  If spice is going to be suitable for debian and other distros
this is a problem they'll have to solve, because it's going to happen
eventually, even to redhat.

Squeeze should be rolling out soon, so you've got 18 months to figure out
how this should work in a way that is suitable for the next release.
The answer to that isn't dredging up the corpses of long expired snapshots
of experimental libraries.  They need a transition plan.  And you'll have
a testbed to try it out on - and at least a year to get it right.


Since there are clearly people interested in this, and able to write some
code, I'd suggest talking to spice upstream, and maintainers of the other
apps, and bringing more of them into the loop _before_ we have to make this
decision again next.  Even if the one after this does freeze the bitstream
permanently, there's still going to need to be a transition for spice.
If there has to be more than one, it will be better if all the app authors
can agree on that together.  It's good that there are early adopters, but
we can't just package a separate version of celt for every app that paints
itself into a corner with experimental code.  The old snapshots do have a
use-by date, just like the draft RFCs that define them.

Sorry.  This does seem like a cool thing to get into the distro, but you've
got time, so let's do it properly and solve it for everyone.

Cheers,
Ron






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#560721; Package wnpp. (Sun, 14 Nov 2010 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 14 Nov 2010 12:51:03 GMT) Full text and rfc822 format available.

Message #41 received at 560721@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: Marc-André Lureau <marcandre.lureau@gmail.com>
Cc: 560721@bugs.debian.org, Ron <ron@debian.org>
Subject: spice and its friends uploaded to mentors.debian.org
Date: Sun, 14 Nov 2010 20:48:08 +0800
Hi, Marc-André,

I've uploaded spice and its friends to mentors.d.o, it can be downloaded with:

dget http://mentors.debian.net/debian/pool/main/s/spice-protocol/spice-protocol_0.6.3-1.dsc
dget http://mentors.debian.net/debian/pool/main/c/celt051/celt051_0.5.1.3-1.dsc
dget http://mentors.debian.net/debian/pool/main/s/spice/spice_0.6.3-1.dsc
dget http://mentors.debian.net/debian/pool/main/q/qemu-spice/qemu-spice_0.13~git20101114-1.dsc

Spice need higher version of pixman in unstable now, so before it can
be build, pixman should be updated to experimental.

I'll push spice to git.debian.org soon, so we can co-maintain it.

Thanks and Regards,
-- 
Liang Guo
http://bluestone.cublog.cn




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>:
Bug#560721; Package wnpp. (Wed, 17 Nov 2010 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Riedel <m.riedel@fh-swf.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>. (Wed, 17 Nov 2010 11:45:03 GMT) Full text and rfc822 format available.

Message #46 received at 560721@bugs.debian.org (full text, mbox):

From: Marc Riedel <m.riedel@fh-swf.de>
To: 560721@bugs.debian.org
Subject: re: spice and its friends uploaded to mentors.debian.org
Date: Wed, 17 Nov 2010 12:34:37 +0100
Hi there,

the packages at mentors are working quite well.
It would be nice to see qemu-spice with kvm support.
I compiled it from git (spice.kvm.v18) and it seems to work.
I don't know why they're stuck at v18?
The next libvirt verison v0.8.6 should also support spice.
Till now you need the master branch and compile it from scratch.
To get libvirt workin with qxl I needed to change "-vga 
[std|cirrus|vmware|xenfb|none]\n" to "-vga 
[std|cirrus|vmware|xenfb|qxl|none]\n" in qemu-options.hx (spice.kvm.v18).

Cheers,
Marc




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#560721; Package wnpp. (Sun, 05 Dec 2010 02:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 05 Dec 2010 02:39:03 GMT) Full text and rfc822 format available.

Message #51 received at 560721@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: "Carlos R. Pasqualini" <pasqualinic@fcal.uner.edu.ar>
Cc: 560721@bugs.debian.org
Subject: Re: Bug#560721: spice and its friends uploaded to mentors.debian.org
Date: Sun, 5 Dec 2010 10:36:56 +0800
Hi, Carlos,

> i don't know how to use those links, but i would like to learn and test
> this new solution
>
> ¿can you give me some guide on how to deploy (not for production yet)
> kvm+spice in Debian?
>

To use spice in Debian, you may download the source code, compile
them, and install them,
for example:

1) Install som pre-request packages with 'apt-get install devscripts
dpkg-dev fakeroot', you may need other packages, please install them
too.

2) Download source from mentors.
dget http://mentors.debian.net/debian/pool/main/s/spice-protocol/spice-protocol_0.6.3-1.dsc
After this step, all source code of spice-protocol will be downloaded.

3) Extract the source.
dpkg-source -x spice-protocol_0.6.3-1.dsc
After this step, source codes will be extracted to a directory, with
spice-protocol, the directory is spice-protocol-0.6.3,

4) Compile
cd spice-protocol-0.6.3
fakeroot debian/rules binary
or
cd spice-protocol-0.6.3
dpkg-buildpackage -rfakeroot

If compile successfully completed, binary packages will be generated
in up level directory. you may install them with 'dpkg -i <package
name>',  you may fail with some error, please install related
packages.

I've updated spice in mentors recently. you download them with:

dget http://mentors.debian.net/debian/pool/main/s/spice-protocol/spice-protocol_0.6.3-1.dsc
dget http://mentors.debian.net/debian/pool/main/s/spice/spice_0.6.3-1.dsc
dget http://mentors.debian.net/debian/pool/main/q/qemu-spice/qemu-spice_0.13~git20101114-1.dsc

celt051 is embedded to spice, so it don't need to be compiled separately.

spice need mesa in experimental now, if you got complain when
compiling spice, you may run 'apt-get -t experimental libglu1-mesa-dev
 libgl1-mesa-dev' to install them.

After install all binary package, you may run qemu-spice with '-spice'
arguments and use spicec to connect to it. For spice documents, please
reference to
http://www.spice-space.org/documentation.html

-- 
Liang Guo
http://bluestone.cublog.cn




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>:
Bug#560721; Package wnpp. (Thu, 17 Feb 2011 17:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Silvestre Zabala <silvestre@zabala.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>. (Thu, 17 Feb 2011 17:33:09 GMT) Full text and rfc822 format available.

Message #56 received at 560721@bugs.debian.org (full text, mbox):

From: Silvestre Zabala <silvestre@zabala.name>
To: 560721@bugs.debian.org
Subject: spice-vdagent
Date: Thu, 17 Feb 2011 18:27:37 +0100
[Message part 1 (text/plain, inline)]
Hello Liang Guo,

thank you very much for your SPICE packages! Could you please also package
the spice-vdagent?

Thanks, keep up the good work,
  Silvestre
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>:
Bug#560721; Package wnpp. (Thu, 17 Feb 2011 17:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Silvestre Zabala <silvestre@zabala.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>. (Thu, 17 Feb 2011 17:42:02 GMT) Full text and rfc822 format available.

Message #61 received at 560721@bugs.debian.org (full text, mbox):

From: Silvestre Zabala <silvestre@zabala.name>
To: 560721@bugs.debian.org
Subject: new upstream releases
Date: Thu, 17 Feb 2011 18:39:39 +0100
[Message part 1 (text/plain, inline)]
Also, sorry for the spam, you might consider updating to 0.6.4 for spice,
this removes the watermark at the top. ;)
More importantly the spice.v30 branch of qemu-spice contains a fix to the
password and password expiry handling which makes password protected SPICE
work with libvirt-0.8.8.

Thanks again,
  Silvestre
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#560721; Package wnpp. (Thu, 17 Feb 2011 18:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 17 Feb 2011 18:27:06 GMT) Full text and rfc822 format available.

Message #66 received at 560721@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: Silvestre Zabala <silvestre@zabala.name>, 560721@bugs.debian.org
Subject: Re: Bug#560721: spice-vdagent
Date: Thu, 17 Feb 2011 18:17:30 +0000
Hi, Silvestre,

Actually spice-vdagent is almost OK now, only the init script need
some more test.

But spice-vdagent depends on spice-protocol, before spice-vdagent
enter Debian, spice-protocol should enter Debian.

Thanks for your attention.

On Thu, Feb 17, 2011 at 5:27 PM, Silvestre Zabala <silvestre@zabala.name> wrote:
> Hello Liang Guo,
> thank you very much for your SPICE packages! Could you please also package
> the spice-vdagent?
> Thanks, keep up the good work,
>   Silvestre



-- 
Liang Guo
http://bluestone.cublog.cn




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>:
Bug#560721; Package wnpp. (Thu, 24 Mar 2011 15:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Silvestre Zabala <silvestre@zabala.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>. (Thu, 24 Mar 2011 15:21:09 GMT) Full text and rfc822 format available.

Message #71 received at 560721@bugs.debian.org (full text, mbox):

From: Silvestre Zabala <silvestre@zabala.name>
To: Liang Guo <bluestonechina@gmail.com>
Cc: 560721@bugs.debian.org
Subject: Re: Bug#560721: spice-vdagent
Date: Thu, 24 Mar 2011 16:17:50 +0100
[Message part 1 (text/plain, inline)]
Hi Liang Guo,


> Actually spice-vdagent is almost OK now, only the init script need
> some more test.
>
> But spice-vdagent depends on spice-protocol, before spice-vdagent
> enter Debian, spice-protocol should enter Debian.
>

Could you please upload spice-vdagent to mentors.debian.net? I'm using your
packages with a recompiled kvm package with great success, having
spice-vdagent would be the icing on the cake.

Thanks,
  Silvestre
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#560721; Package wnpp. (Mon, 28 Mar 2011 11:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 28 Mar 2011 11:30:04 GMT) Full text and rfc822 format available.

Message #76 received at 560721@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: Silvestre Zabala <silvestre@zabala.name>
Cc: 560721@bugs.debian.org
Subject: Re: Bug#560721: spice-vdagent
Date: Mon, 28 Mar 2011 19:28:20 +0800
Hi Silvestre,

On Thu, Mar 24, 2011 at 11:17 PM, Silvestre Zabala
<silvestre@zabala.name> wrote:
> Hi Liang Guo,
>
>>
>> Actually spice-vdagent is almost OK now, only the init script need
>> some more test.
>>
>> But spice-vdagent depends on spice-protocol, before spice-vdagent
>> enter Debian, spice-protocol should enter Debian.
>
> Could you please upload spice-vdagent to mentors.debian.net? I'm using your
> packages with a recompiled kvm package with great success, having
> spice-vdagent would be the icing on the cake.
> Thanks,
>   Silvestre
>
I've upload spice-vdagent to mentors.d.n, you can get it with :

- URL: http://mentors.debian.net/debian/pool/main/s/spice-vdagent
- Source repository: deb-src http://mentors.debian.net/debian unstable
main contrib non-free
- dget http://mentors.debian.net/debian/pool/main/s/spice-vdagent/spice-vdagent_0.6.3-1.dsc


But I have not test it enough, It may not work as expected. I've
pushed all source to

ssh://git.debian.org/git/collab-maint/spice-protocol.git

Fell free to modify it.

Since spice 0.8.0 is released, We are working on spice and spice-enabled kvm,
hope it can enter debian soon.

Thanks and Regards,

-- 
Liang Guo
http://bluestone.cublog.cn




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>:
Bug#560721; Package wnpp. (Thu, 14 Apr 2011 01:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asias He <asias.hejun@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>. (Thu, 14 Apr 2011 01:51:03 GMT) Full text and rfc822 format available.

Message #81 received at 560721@bugs.debian.org (full text, mbox):

From: Asias He <asias.hejun@gmail.com>
To: 560721@bugs.debian.org
Subject: Fail to build spice
Date: Thu, 14 Apr 2011 09:47:28 +0800
Hi, GuoLiang

With commit 67cae0af501e5fee908d874373367c7f85a82c7c in
git://git.debian.org/collab-maint/spice.git.

I am seeing this when I am trying to build this package:

dpkg-source: info: building spice in spice_0.8.0-1.debian.tar.gz
dpkg-source: info: building spice in spice_0.8.0-1.dsc
 debian/rules build
cd celt && ./configure --prefix=/usr && cd ..
/bin/sh: ./configure: Permission denied
make: *** [build-stamp] Error 126
dpkg-buildpackage: error: debian/rules build gave error exit status 2
debuild: fatal error at line 1329:
dpkg-buildpackage -rfakeroot -D -us -uc -i.git failed

spice.git $ ls -l celt/configure
-rw-r--r-- 1 asias asias 756K Apr 14 09:43 celt/configure


-- 
Best Regards,
Asias He




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>:
Bug#560721; Package wnpp. (Sat, 23 Apr 2011 02:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugene Goleshev <eugulixes@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>. (Sat, 23 Apr 2011 02:15:02 GMT) Full text and rfc822 format available.

Message #86 received at 560721@bugs.debian.org (full text, mbox):

From: Eugene Goleshev <eugulixes@gmail.com>
To: 560721@bugs.debian.org
Subject: Re: Fail to build spice
Date: Sat, 23 Apr 2011 06:14:11 +0400
[Message part 1 (text/plain, inline)]
Hi, Asias He

Try this http://mentors.debian.net/debian/pool/main/s/spice/. This is same thing

dget http://mentors.debian.net/debian/pool/main/s/spice/spice_0.8.0-1.dsc
dpkg-source -x spice_0.8.0-1.dsc
cd spice-0.8.0
dpkg-buildpackage

Bye
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>:
Bug#560721; Package wnpp. (Thu, 28 Apr 2011 12:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Silvestre Zabala <silvestre@zabala.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>. (Thu, 28 Apr 2011 12:51:07 GMT) Full text and rfc822 format available.

Message #91 received at 560721@bugs.debian.org (full text, mbox):

From: Silvestre Zabala <silvestre@zabala.name>
To: Liang Guo <bluestonechina@gmail.com>
Cc: 560721@bugs.debian.org
Subject: Re: Bug#560721: spice-vdagent
Date: Thu, 28 Apr 2011 14:47:59 +0200
[Message part 1 (text/plain, inline)]
Hi Liang Guo,


> But I have not test it enough, It may not work as expected. I've
> pushed all source to
>
> ssh://git.debian.org/git/collab-maint/spice-protocol.git
>
> Fell free to modify it.
>
> Since spice 0.8.0 is released, We are working on spice and spice-enabled
> kvm,
> hope it can enter debian soon.
>

Thanks again for your work on SPICE in Debian. Just a heads up: In order to
compile spice-gtk 0.6 (recently released) there's a small patch to
spice-protocol needed:
http://cgit.freedesktop.org/spice/spice-protocol/commit/?id=2ffbca210033be262fc75e6a73742e0f0e6d5242

Keep up the good work!

Best regards,
  Silvestre
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#560721; Package wnpp. (Sat, 23 Jul 2011 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 23 Jul 2011 08:21:04 GMT) Full text and rfc822 format available.

Message #96 received at 560721@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: debian-mentors@lists.debian.org
Cc: paravoid@debian.org, Thomas Goirand <zigo@debian.org>, 602143@bugs.debian.org, 560721@bugs.debian.org
Subject: RFS: spice
Date: Sat, 23 Jul 2011 16:18:11 +0800
[Message part 1 (text/plain, inline)]
Dear mentors,

I am looking for a sponsor for my package "spice".

* Package name    : spice
  Version         : 0.8.2-1
  Upstream Author : Red Hat, Inc.
* URL             : http://www.spice-space.org/
* License         : LGPL 2.1+
  Section         : misc

It builds these binary packages:
libspice-server-dev - Header files and development documentation for spice-server
libspice-server1 - Implements the server side of the SPICE protocol
spice-client - Implements the client side of the SPICE protocol

I override configure-generated-file-in-source lintian 
warnings, for spice_0.8.2.orig-celt.tar.gz come with 
config.log and config.status and debian/rules will 
delete them.

The upload would fix these bugs: 560721

My motivation for maintaining this package is: SPICE is an interesting desktop
virtulization project, I want Debian can act as a guest or hypervisor with
SPICE support.

The package can be found on mentors.debian.net:
- URL: http://mentors.debian.net/debian/pool/main/s/spice
- Source repository: deb-src http://mentors.debian.net/debian unstable main contrib non-free
- dget http://mentors.debian.net/debian/pool/main/s/spice/spice_0.8.2-1.dsc

I would be glad if someone uploaded this package for me.

Thanks and Regards,
--
Liang Guo
http://bluestone.cublog.cn
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>:
Bug#560721; Package wnpp. (Sat, 23 Jul 2011 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kilian Krause <kilian@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Liang Guo <bluestonechina@gmail.com>. (Sat, 23 Jul 2011 09:27:06 GMT) Full text and rfc822 format available.

Message #101 received at 560721@bugs.debian.org (full text, mbox):

From: Kilian Krause <kilian@debian.org>
To: Liang Guo <bluestonechina@gmail.com>
Cc: debian-mentors@lists.debian.org, paravoid@debian.org, Thomas Goirand <zigo@debian.org>, 602143@bugs.debian.org, 560721@bugs.debian.org
Subject: Re: RFS: spice
Date: Sat, 23 Jul 2011 10:54:12 +0200
[Message part 1 (text/plain, inline)]
Hi Liang,

On Sat, Jul 23, 2011 at 04:18:11PM +0800, Liang Guo wrote:
> I am looking for a sponsor for my package "spice".

> I override configure-generated-file-in-source lintian 
> warnings, for spice_0.8.2.orig-celt.tar.gz come with 
> config.log and config.status and debian/rules will 
> delete them.
> - dget http://mentors.debian.net/debian/pool/main/s/spice/spice_0.8.2-1.dsc

You shouldn't need to override these warnings if the clean target would just
seriously delete them (not as make distclean but plain rm -f). Alternatively
you could stuff them into debian/clean. That should get rid of the warning
and thus the need to override.

What makes me wonder more though is that you put autotools-dev into the
Build-Depends yet do not seem to make use of it. 

Moreover you specify this package is only suitable to build on i386 and
amd64. Most probably these are the only platforms that you've built and
tested this on - but apart from this, is there any known limitation why it
would not be buildable on any other arch? Shouldn't the source be arch:any
rather?

Regarding the embedded celt I'm probably as unhappy with the solution as the
rest and I'm inclined to say it should be packaged separately to scale
better. Yet I also see that'd be stepping quite a lot onto the celt
maintainers (who don't want the celt051 in the first place).

Your patches are not marked as forwarded upstream. I guess upstream would be
interested in them though.

So please try to find out about the arch:all issue, add the missing
autotools-dev files replacement and report back to get the upload prepared.

Thanks!

-- 
Best regards,
Kilian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#560721; Package wnpp. (Sun, 24 Jul 2011 04:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 24 Jul 2011 04:27:03 GMT) Full text and rfc822 format available.

Message #106 received at 560721@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: Kilian Krause <kilian@debian.org>
Cc: debian-mentors@lists.debian.org, paravoid@debian.org, Thomas Goirand <zigo@debian.org>, 602143@bugs.debian.org, 560721@bugs.debian.org
Subject: Re: RFS: spice
Date: Sun, 24 Jul 2011 12:24:38 +0800
On Sat, Jul 23, 2011 at 4:54 PM, Kilian Krause <kilian@debian.org> wrote:
> Hi Liang,
>
> On Sat, Jul 23, 2011 at 04:18:11PM +0800, Liang Guo wrote:
>> I am looking for a sponsor for my package "spice".
>
>> I override configure-generated-file-in-source lintian
>> warnings, for spice_0.8.2.orig-celt.tar.gz come with
>> config.log and config.status and debian/rules will
>> delete them.
>> - dget http://mentors.debian.net/debian/pool/main/s/spice/spice_0.8.2-1.dsc
>
> You shouldn't need to override these warnings if the clean target would just
> seriously delete them (not as make distclean but plain rm -f). Alternatively
> you could stuff them into debian/clean. That should get rid of the warning
> and thus the need to override.
The lintian warning configure-generated-file-in-source is caused by
upstream celt package, it comes with config.log and config.status, to
remove this lintian warning, I need repack spice_0.8.2.orig-celt.tar.gz
 which I think it is not nessary.

>
> What makes me wonder more though is that you put autotools-dev into the
> Build-Depends yet do not seem to make use of it.
Removed,

>
> Moreover you specify this package is only suitable to build on i386 and
> amd64. Most probably these are the only platforms that you've built and
> tested this on - but apart from this, is there any known limitation why it
> would not be buildable on any other arch? Shouldn't the source be arch:any
> rather?
Spice embedded some ASM code (very little, only 4 lines at all), so it can
only be compiled in x86 and x86_64 now. When multiplatform support added,
I'll update Architecture field soon.

>
> Regarding the embedded celt I'm probably as unhappy with the solution as the
> rest and I'm inclined to say it should be packaged separately to scale
> better. Yet I also see that'd be stepping quite a lot onto the celt
> maintainers (who don't want the celt051 in the first place).
>
> Your patches are not marked as forwarded upstream. I guess upstream would be
> interested in them though.
I'll forward these patches upstream soon, Thanks pointout that.
>
> So please try to find out about the arch:all issue, add the missing
> autotools-dev files replacement and report back to get the upload prepared.
>
I've uploaded new spice to mentors.d.n, the download URL is still valid.

I've pushed the changes to git repository too, its git repository is:

git://git.debian.org/collab-maint/spice.git
http://git.debian.org/?p=collab-maint/spice.git;a=summary

Thanks,
-- 
Liang Guo
http://bluestone.cublog.cn




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 25 Jul 2011 20:09:05 GMT) Full text and rfc822 format available.

Reply sent to Liang Guo <bluestonechina@gmail.com>:
You have taken responsibility. (Tue, 26 Jul 2011 13:51:09 GMT) Full text and rfc822 format available.

Notification sent to Liang Guo <bluestonechina@gmail.com>:
Bug acknowledged by developer. (Tue, 26 Jul 2011 13:51:09 GMT) Full text and rfc822 format available.

Message #113 received at 560721-close@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: 560721-close@bugs.debian.org
Subject: Bug#560721: fixed in spice 0.8.2-1
Date: Tue, 26 Jul 2011 13:47:12 +0000
Source: spice
Source-Version: 0.8.2-1

We believe that the bug you reported is fixed in the latest version of
spice, which is due to be installed in the Debian FTP archive:

libspice-server-dev_0.8.2-1_amd64.deb
  to main/s/spice/libspice-server-dev_0.8.2-1_amd64.deb
libspice-server1_0.8.2-1_amd64.deb
  to main/s/spice/libspice-server1_0.8.2-1_amd64.deb
spice-client_0.8.2-1_amd64.deb
  to main/s/spice/spice-client_0.8.2-1_amd64.deb
spice_0.8.2-1.debian.tar.gz
  to main/s/spice/spice_0.8.2-1.debian.tar.gz
spice_0.8.2-1.dsc
  to main/s/spice/spice_0.8.2-1.dsc
spice_0.8.2.orig-celt.tar.gz
  to main/s/spice/spice_0.8.2.orig-celt.tar.gz
spice_0.8.2.orig.tar.bz2
  to main/s/spice/spice_0.8.2.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 560721@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Liang Guo <bluestonechina@gmail.com> (supplier of updated spice package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 Jul 2011 12:21:04 +0800
Source: spice
Binary: spice-client libspice-server1 libspice-server-dev
Architecture: source amd64
Version: 0.8.2-1
Distribution: unstable
Urgency: low
Maintainer: Liang Guo <bluestonechina@gmail.com>
Changed-By: Liang Guo <bluestonechina@gmail.com>
Description: 
 libspice-server-dev - Header files and development documentation for spice-server
 libspice-server1 - Implements the server side of the SPICE protocol
 spice-client - Implements the client side of the SPICE protocol
Closes: 560721
Changes: 
 spice (0.8.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #560721)
Checksums-Sha1: 
 c271b617a43e341e189a040cafe155c64faf8c88 1659 spice_0.8.2-1.dsc
 403bbb9a8bf116035e5b3ef73e782457745aed5c 558044 spice_0.8.2.orig-celt.tar.gz
 50607968a636272fad4b656032d41c1cd46c13bf 1238463 spice_0.8.2.orig.tar.bz2
 96a42931e1435ab210949bd5ff956652dc258faf 14718 spice_0.8.2-1.debian.tar.gz
 8ff9904cd579abc30dc34575d49ac2bac37f0f39 710382 spice-client_0.8.2-1_amd64.deb
 86d6318354b36beb03183a8dd8fb31d06bd5e7ad 338618 libspice-server1_0.8.2-1_amd64.deb
 06d143bde48c81d99e18569f10a20b2bbc45de42 406922 libspice-server-dev_0.8.2-1_amd64.deb
Checksums-Sha256: 
 2efd95b1ed3bacc1e5aeb8bcbd746d2ced1408d67d526d6682922f5c9977288d 1659 spice_0.8.2-1.dsc
 a666b07517e712dd4837090a28a3446746bd01e323667df7c49e6f3845ac1d27 558044 spice_0.8.2.orig-celt.tar.gz
 8b6497baee982185c63f7e62965fc3b0cae5ba3e74d7e739a61db92bfe0cad33 1238463 spice_0.8.2.orig.tar.bz2
 661e7b52fa5ad2c37769a2af62a38a293821c317ecb4ef3fb33cdfcb2d4636d8 14718 spice_0.8.2-1.debian.tar.gz
 c2715bd97c8d47dbdde68e688caae02e08a5fbfe59c41a5838fbdff277134dd9 710382 spice-client_0.8.2-1_amd64.deb
 1ab3ad53b440fdcee52d203a8e6c98c183fb0b6eec42c020a1871546b4d5a2c9 338618 libspice-server1_0.8.2-1_amd64.deb
 7b19c137f22bac4c60d5379c1a76ce6df0a1981f35850f2e5a3e08840e800d5c 406922 libspice-server-dev_0.8.2-1_amd64.deb
Files: 
 fda62a1e3f41fb424e68fe8dbd959d68 1659 misc optional spice_0.8.2-1.dsc
 975c58fe91be9cd0efbbf0095be42bb3 558044 misc optional spice_0.8.2.orig-celt.tar.gz
 80aa1b165b2c2ed5608012986ade3c01 1238463 misc optional spice_0.8.2.orig.tar.bz2
 0ee24d4c7131c707e9025b4d35aea2b5 14718 misc optional spice_0.8.2-1.debian.tar.gz
 43c669f5f8379478a026c4ad575cb368 710382 misc optional spice-client_0.8.2-1_amd64.deb
 0020e3ba1333834842e0149b6f59255a 338618 libs optional libspice-server1_0.8.2-1_amd64.deb
 d1cfc73c6b79c61cf3039cd07eb62be3 406922 libdevel optional libspice-server-dev_0.8.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOLR/4vdkzt4X+wX8RAtKuAJ9HIsXtjBtw8pH9LMqfLIbNUK8L+wCfbHth
g8lPuXH3OpfUewc4Xq+pF0Q=
=jKPE
-----END PGP SIGNATURE-----





Reply sent to Liang Guo <bluestonechina@gmail.com>:
You have taken responsibility. (Tue, 26 Jul 2011 13:51:11 GMT) Full text and rfc822 format available.

Notification sent to Marc-André Lureau <marcandre.lureau@gmail.com>:
Bug acknowledged by developer. (Tue, 26 Jul 2011 13:51:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Aug 2011 07:30:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:44:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.